Groovy 1.7.0

## groovy.ui
Class GroovySocketServer

    java.lang.Object
      groovy.ui.GroovySocketServer

All Implemented Interfaces:
  Runnable

    class GroovySocketServer
    extends Object

Simple server that executes supplied script against a socket

version:
  $Id: GroovySocketServer.java 18226 2009-11-12 07:16:10Z paulk $

author:
  Jeremy Rayner

Nested Class Summary
`class` | `GroovySocketServer.GroovyClientConnection`

Constructor Summary
`GroovySocketServer(GroovyShell groovy, boolean isScriptFile, String scriptFilenameOrText, boolean autoOutput, int port)`

Method Summary
`void` | `run()`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### GroovySocketServer

    public GroovySocketServer(GroovyShell groovy, boolean isScriptFile, String scriptFilenameOrText, boolean autoOutput, int port)

Method Detail

### run

    public void run()

Copyright © 2003-2009 The Codehaus. All rights reserved.